from clasificador import Clasificador

canciones = ["Yeah"
             "I've been tryna call"
             "I've been on my own for long enough"
             "Maybe you can show me how to love, maybe"
             "I'm going through withdrawals"
             "You don't even have to do too much"
             "You can turn me on with just a touch, baby"
             "I look around and"
             "Sin city's cold and empty (oh)"
             "No one's around to judge me (oh)"
             "I can't see clearly when you're gone"
             "I said, ooh, I'm blinded by the lights"
             "No, I can't sleep until I feel your touch"
             "I said, ooh, I'm drowning in the night"
             "Oh, when I'm like this, you're the one I trust"
             "Hey, hey, hey"
             "I'm running out of time"
             "'Cause I can see the Sun light up the sky"
             "So I hit the road in overdrive, baby, oh"
             "The city's cold and empty (oh)"
             "No one's around to judge me (oh)"
             "I can't see clearly when you're gone"
             "I said, ooh, I'm blinded by the lights"
             "No, I can't sleep until I feel your touch"
             "I said, ooh, I'm drowning in the night"
             "Oh, when I'm like this, you're the one I trust"
             "I'm just calling back to let you know (back to let you know)"
             "I can never say it on the phone (say it on the phone)"
             "Will never let you go this time (ooh)"
             "I said, ooh, I'm blinded by the lights"
             "No, I can't sleep until I feel your touch"
             "Hey, hey, hey"
             "Hey, hey, hey"
             "I said, ooh, I'm blinded by the lights"
             "No, I can't sleep until I feel your touch",

             "Enter the crypts of hell, to impregnate the dead"
             "Fresh burial sight, my hunger grows tonight"
             "Undying lust for cadaverous molestation"
             "Sights of death building my sensations"
             "Ferocious need for decomposing bodies"
             "Sex with the dead now I must breed"
             "Within the stiff corpse planting my seed"
             "The taste of formaldehyde, smell of the rot"
             "Suck out the goo, feast on her crotch"
             "Raging fires of hell, burning through my soul"
             "My love for a dead fuck, I cannot control"
             "The child soon will rise, all evil will survive"
             "Birth through death"
             "The newborn needs a feast, its mother is the meal"
             "Chomping on her flesh, his teeth tearing her skin"
             "I love to fuck the dead, demons in my head"
             "Tearing at my brain"
             "Bleeding sores beginning to stench"
             "While you lick the festering stump"
             "Green infection discharging pus"
             "Devour the putrid afterbirth"
             "Sex with the dead now I must breed"
             "Within the stiff corpse planting my seed"
             "The taste of formaldehyde, smell of the rot"
             "Suck out the goo, feast on her crotch",

             "One, two, three!"
             "My baby don't mess around"
             "Because she loves me so"
             "This I know fo sho!"
             "But does she really wanna"
             "But can't stand to see me walk out the door"
             "Don't try to fight the feeling"
             "Because the thought alone is killin' me right now"
             "Thank God for Mom and Dad"
             "For sticking to together"
             "Like we don't know how"
             "Hey ya! Hey ya!"
             "Hey ya! Hey ya!"
             "Hey ya! Hey ya!"
             "Hey ya! Hey ya!"
             "You think you've got it"
             "Oh, you think you've got it"
             "But got it just don't get it when there's nothin' at all"
             "We get together"
             "Oh, we get together"
             "But separate's always better when there's feelings involved"
             "Know what they say -its"
             "Nothing lasts forever!"
             "Then what makes it, then what makes it"
             "Then what makes it, then what makes it"
             "Then what makes love the exception?"
             "So why, oh, why, oh"
             "Why, oh, why, oh, why, oh"
             "Are we still in denial when we know we're not happy here"
             "Hey ya! (y'all don't want to here me, ya just want to dance) Hey ya!"
             "Don't want to meet your daddy (oh ohh), just want you in my caddy (oh ohh)"
             "Hey ya! (oh, oh!) Hey ya! (oh, oh!)"
             "Don't want to meet your momma, just want to make you cum-a (oh, oh!)"
             "I'm (oh, oh) I'm (oh, oh) I'm just being honest! (oh, oh)"
             "I'm just being honest!"
             "Hey! alright now! alright now, fellas!"
             "Yea?"
             "Now, what cooler than being cool?"
             "Ice cold!"
             "I can't hear ya! I say what's, what's cooler than being cool?"
             "Ice cold!"
             "Alright alright alright alright alright alright alright alright alright alright alright alright alright "
             "alright alright alright!"
             "Okay, now ladies!"
             "Yea?"
             "Now we gonna break this thang down for just a few seconds"
             "Now don't have me break this thang down for nothin'"
             "I want to see you on your badest behavior!"
             "Lend me some sugar, I am your neighbor!"
             "Ah! Here we go now,"
             "Shake it, shake it, shake it, shake it, shake it"
             "Shake it, shake it, shake it, shake it"
             "Shake it like a Polaroid picture! Hey ya!"
             "Shake it, shake it, shake it, shake it, shake it"
             "Shake it, shake it, shake it, suga!"
             "Shake it like a Polaroid picture!"
             "Now all the Beyonce's, and Lucy Liu's, and baby dolls"
             "Get on tha floor get on tha floor!"
             "Shake it like a Polaroid picture!"
             "Oh, you! oh, you!"
             "Hey ya!(oh, oh) Hey ya!(oh, oh)"
             "Hey ya!(oh, oh) Hey ya!(oh, oh)"
             "Hey ya!(oh, oh) Hey ya!(oh, oh)",

             "Killing in the name of..."
             "some of those that wear forces"
             "are the same that burn crosses"
             "some of those that wear forces"
             "are the same that burn crosses"
             "some of those that wear forces"
             "are the same that burn crosses"
             "some of those that wear forces"
             "are the same that burn crosses"
             "Killing in the name of..."
             "killing in the name of..."
             "And now you do what they told you (bis)"
             "Those who died are justified,"
             "for wearing the badge,"
             "they're the chosen whites"
             "you justify those that died"
             "by wearing the badge,"
             "they're the chosen whites"
             "those who died are justified,"
             "for wearing the badge,"
             "they're the chosen whites"
             "you justify those that died"
             "by wearing the badge,"
             "they're the chosen whites"
             "Some of those that were forces"
             "are the same that burn crosses"
             "some of those that were forces"
             "are the same that burn crosses"
             "some of those that were forces"
             "are the same that burn crosses"
             "some of those that were forces"
             "are the same that burn crosses"
             "Killing in the name of..."
             "killing in the name of..."
             "And now you do what they told you (bis)"
             "and now you do what they told you,"
             "now you're under control (bis)"
             "and now you do what they told you"
             "Those who died are justified,"
             "for wearing the badge,"
             "they're the chosen whites"
             "you justify those that died"
             "by wearing the badge,"
             "they're the chosen whites"
             "those who died are justified,"
             "for wearing the badge,"
             "they're the chosen whites"
             "you justify those that died"
             "by wearing the badge,"
             "they're the chosen whites"
             "come on, yes, come on"
             "F*ck you, I won't do what you tell me (bis)"
             "Motherfu**er!",

             "Remember when we used to look how sun set far away,"
             "And how you said this is never over,"
             "I believed your every word and I quess you did too,"
             "But now you're saying hey, let's think this over.'"
              "'You take my hand and pull me next to you, so close to you,"
              "I have a feeling you don't have the words,"
              "I found one for you, kiss your cheak, say bye, and walk away"
              "Don't look back cause I am crying."
              "I remember little things, you hardly ever do,"
              "Tell me why, I don't know why it's over,"
              "I remember shooting stars, the walk we took that night,"
              "I hope your wish came true, mine betrayed me."
              "You let my hand go and you fake a smile for me,"
              "I have a feeling you don't know what to do,"
              "I look deep in your eyes, hesitate a while,"
              "Why are you crying."
              "Tallulah,"
              "It's easier to live alone than fear the time it's over,"
              "Whoa, Tallulah,"
              "Find the words and talk to me, oh,"
              "Tallulah,"
              "This could be heaven."
              "I see you walking hand in hand with long-haired drummer of the band,"
              "In love with her or so it seems, he's dancing with my beauty queen,"
              "Don't even dare to say you hi, still swallowing the goodbye,"
              "But I know the feelings still alive, still alive."
              "I lost my patience once, so do you punish me now,"
              "I'll always love you, no matter what you do,"
              "I'll win you back for me if you give me a chance,"
              "But there is one thing you must understand."
              "Tallulah,"
              "It's easier to live alone than fear the time it's over,"
              "Whoa, Tallulah,"
              "Find the words and talk to me, oh,"
              "Tallulah,"
              "This could be..."
              "Tallulah,"
              "It's easier to live alone than fear the time it's over, over,"
              "Tallulah,"
              "Find the words and talk to me, oh,"
              "Tallulah,"
              "This could be...",

             "asd feinv iwenr"]

def leerCancion(cancion):
    #cancion = input("Introduce la canción \n")
    cancion = cancion.split()
    return cancion

C = Clasificador()

def menu(num):
    if num == 1:
        C.entrenar()
    elif num == 2:
        for cancion in canciones:
            letra = leerCancion(cancion)
            sentimientos = C.calcular(letra)

            for i in range(3):
                print(f'{sentimientos[i][0]}, {sentimientos[i][1]}')

            print()
    else:
        print("El número no es correcto")

print(f'Menu \n 1 - Entrenar Modelo \n 2 - Ejecutar Modelo \n 0 - Salir')
opcion = int(input("Introduce la opcion deseada:\n"))
while opcion != 0:
    menu(opcion)
    print(f'Menu \n 1 - Entrenar Modelo \n 2 - Ejecutar Modelo \n 0 - Salir')
    opcion = int(input("Introduce la opcion deseada:\n"))
